### Method

# FwupdPlugin Context get_esp_volumes

since: 1.8.5

#### Declaration [src]

    GPtrArray*
    fu_context_get_esp_volumes (
      FuContext* self
      GError** error
    )

#### Description [src]

Finds all volumes that could be an ESP.

The volumes are cached and so subsequent calls to this function will be much faster.

Available since: 1.8.5

#### Return value

Type: An array of `FuVolume*`

A `GPtrArray`, or `NULL` if no ESP was found.

The caller of the method takes ownership of the returned data container, but not the data inside it.